<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipToPadding="true"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".modules.welcome.activity.LoginActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.bonait.bnframework.common.bg.SnowView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/transparent" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_alignParentTop="true"
            android:fillViewport="true"
            android:scrollbarThumbVertical="@android:color/transparent"
            android:scrollbars="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="1"
                    android:background="@mipmap/login_bj">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:src="@mipmap/login_ico" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_centerHorizontal="true"
                        android:layout_marginBottom="60dp"
                        android:src="@mipmap/login_name" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_weight="2">

                    <LinearLayout
                        android:id="@+id/content"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginLeft="100dp"
                        android:layout_marginTop="100dp"
                        android:layout_marginRight="100dp"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="55dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_marginEnd="15dp"
                                android:src="@mipmap/login_u" />

                            <EditText
                                android:id="@+id/et_account"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:background="@null"
                                android:focusable="true"
                                android:focusableInTouchMode="true"
                                android:hint="@string/user_account"
                                android:imeOptions="actionNext"
                                android:inputType="text"
                                android:maxLength="20"
                                android:maxLines="1"
                                android:singleLine="true"
                                android:textSize="16sp" />

                            <ImageView
                                android:id="@+id/iv_clean_account"
                                android:layout_width="40dp"
                                android:layout_height="fill_parent"
                                android:scaleType="centerInside"
                                android:src="@drawable/delete_selector"
                                android:visibility="gone" />

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="2px"
                            android:layout_marginBottom="30dp"
                            android:background="@color/color3" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="55dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="15dp"
                                android:layout_marginEnd="15dp"
                                android:src="@mipmap/login_p" />

                            <EditText
                                android:id="@+id/et_password"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_weight="1"
                                android:background="@null"
                                android:hint="请输入密码"
                                android:inputType="textPassword"
                                android:maxLength="30"
                                android:singleLine="true"
                                android:text=""
                                android:textSize="16sp" />

                            <ImageView
                                android:id="@+id/clean_password"
                                android:layout_width="40dp"
                                android:layout_height="fill_parent"
                                android:scaleType="centerInside"
                                android:src="@drawable/delete_selector"
                                android:visibility="gone" />

                            <ImageView
                                android:id="@+id/iv_show_pwd"
                                android:layout_width="40dp"
                                android:layout_height="fill_parent"
                                android:scaleType="centerInside"
                                android:src="@drawable/icon_pass_gone" />

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="2px"
                            android:layout_marginBottom="50dp"
                            android:background="@color/color3" />

                        <RelativeLayout
                            android:id="@+id/rl_tow_button"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp_40"
                            android:layout_marginTop="10dp"
                            android:layout_marginBottom="30dp"
                            android:visibility="gone">

                            <CheckBox
                                android:id="@+id/cb_checkbox"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:background="@null"
                                android:buttonTint="@color/app_color_blue"
                                android:checked="false"
                                android:text="记住密码"
                                android:textColor="@color/blue_primary_dark"
                                android:textSize="@dimen/sp_14" />

                            <Button
                                android:id="@+id/forget_password"
                                style="@style/Widget.AppCompat.Button.Borderless"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentEnd="true"
                                android:layout_centerVertical="true"
                                android:text="忘记密码?"
                                android:textColor="@color/blue_primary_dark"
                                android:textSize="@dimen/sp_14" />
                        </RelativeLayout>


                        <Button
                            android:id="@+id/btn_login"
                            android:layout_width="match_parent"
                            android:layout_height="45dp"
                            android:layout_marginBottom="10dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="登    录"
                            android:textColor="@color/white"
                            android:textSize="18sp" />

                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginRight="20dp"
            android:layout_marginBottom="@dimen/dp_10"
            android:text="BY © 四川黑菠萝Black pineapple"
            android:textColor="@color/app_color_description" />
    </RelativeLayout>


    <!--<LinearLayout
        android:id="@+id/service"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:padding="10dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:text="联系客服"
            android:textColor="#b0b8b2"
            android:textSize="14sp"/>

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:background="?android:attr/listDivider"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:text="关于我们"
            android:textColor="#b0b8b2"
            android:textSize="14sp"/>
    </LinearLayout>-->

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>